Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # usbmacros.h File Reference This file containes macros used by the USB driver implementation. More... Go to the source code of this file.
## Defines
#define | logMsg
#define | EP_DIRECTION(x)
| Macro used to extract the endpoint direction from an EPDescriptorTable[] entry.
#define | EP_TYPE(x)
| Macro used to extract the endpoint type from an EPDescriptorTable[] entry.
#define | MIN(a, b)
| Compares two values and returns the minimum.
#define | MAX(a, b)
| Compares two values and returns the maximum.
#define | QUEUE_WRAP(tail)
| Ajusts the tail of a queue implemented in a circular buffer by wrapping at the buffer boundary.
#define | SWAP_USB_WORD(wPtr)
| USB byte swapping routine for a little endian platform.
#define | REG_GET(reg_ptr)
| read generic register access via register pointers
#define | REG_SET(reg_ptr, val)
| write generic register access via register pointers
#define | DREG_GET(reg_ptr)
| generic data register read access via register pointers
#define | DREG_SET(reg_ptr, val)
| generic data register write access via register pointers
#define | CONTEXT(device)
| get context from device pointer
#define | REGISTERS(device)
| get registers from device pointer
#define | EP0CONTROL(device)
| get endpoint 0 control data from device pointer
#define | EVENTS(device)
| get event processor from device pointer
#define | COUNTERS(device)
| get device counters
#define | OPERATION(device)
| get device operation
#define | EPSTATUS(device, endpointNumber)
| get endpoint status from device pointer and endpoint number
#define | EPQUEUE(device, endpointNumber)
| get endpoint queue from device pointer and endpoint number
#define | EPCOUNTERS(device, endpointNumber)
| get endpoint counters from device pointer and endpoint number
#define | RETURN_OK(device)
| set IX_SUCCESS on device and return IX_SUCCESS
#define | RETURN_ERROR(device)
| set IX_USB_ERROR on device and return IX_FAIL
#define | RETURN_INVALID_PARMS(device)
| set IX_USB_INVALID_PARAMS on device and return IX_FAIL
#define | RETURN_REDUNDANT(device)
| set IX_USB_REDUNDANT on device and return IX_FAIL
#define | RETURN_INVALID_DEVICE(device)
| set IX_USB_INVALID_PARAMS on device and return IX_FAIL
#define | RETURN_NO_ENDPOINT(device)
| set IX_USB_INVALID_PARAMS on device and return IX_FAIL
#define | RETURN_ENDPOINT_STALLED(device)
| set IX_USB_ENDPOINT_STALLED on device and return IX_FAIL
#define | RETURN_SEND_QUEUE_FULL(device)
| set IX_USB_SEND_QUEUE_FULL on device and return IX_FAIL
#define | RETURN_NO_IN_CAPABILITY(device)
| set IX_USB_NO_IN_CAPABILITY on device and return IX_FAIL
#define | RETURN_NO_STALL_CAPABILITY(device)
| set IX_USB_NO_STALL_CAPABILITY on device and return IX_FAIL
#define | RETURN_NO_PERMISSION(device)
| set IX_USB_NO_PERMISSION on device and return IX_FAIL
#define | CHECK_DEVICE(device)
| sanity checks for device existence
#define | CHECK_DEVICE_ENABLED(device)
| sanity checks for device enable status
#define | CHECK_ENDPOINT(device, endpointNumber)
| sanity check for endpoint existence
#define | CHECK_ENDPOINT_STALL(device, endpointNumber)
| sanity check for endpoint stall
#define | CHECK_EVENT_MASK(device, eventMask)
| sanity check for event masks
#define | CHECK_ENDPOINT_QUEUE(epData)
| sanity check for endpoint queue size
#define | CHECK_ENDPOINT_IN_CAPABILITY(epData, device)
| sanity check for endpoint IN capability
#define | IX_USB_TRACE
| no trace macro
#define | IX_USB_LOCK
| dummy critial data section lock
#define | IX_USB_UNLOCK(state)
| dummy critial data section unlock
#define | IX_USB_IRQ_LOCK
| dummy irq lock
#define | IX_USB_IRQ_UNLOCK(state)
| dummy irq unlock
## Functions
int | logMsg (char *fmt,...)
## Detailed Description This file containes macros used by the USB driver implementation. Author: Intel Corporation Date: 30-OCT-2001 Version: Revision 1.31 -- Intel Copyright Notice -- Copyright 2001-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file usbmacros.h.
Automatically generated from sources. © Intel Corp. 2003